{ config, pkgs, ... }:
{
  virtualisation = {
    libvirtd = {
      enable = true;
      onBoot = "ignore";
      onShutdown = "shutdown";
      qemu = {
        ovmf = {
          enable = true;
          packages = [
	    pkgs.OVMFFull.fd
	    pkgs.pkgsCross.aarch64-multiplatform.OVMF.fd
	  ];
        };
        swtpm.enable = true;
      };
    };
    spiceUSBRedirection.enable = true;
  };

  environment.systemPackages = with pkgs; [
    virt-manager
    virtiofsd
    dnsmasq
    spice-vdagent
    looking-glass-client
  ];

  # Needed to make NAT work
  networking.firewall.trustedInterfaces = [
    "virbr0"
    "virbr1"
  ];

  # Allow Looking-Glass permissions
  systemd.tmpfiles.rules = [
    "f /dev/shm/looking-glass 0660 jimbo libvirtd -"
  ];
}
